# job_self.cpp File Reference

`#include <cstdlib>`
`#include <saga/saga/job.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/adaptors/attribute.hpp>`
`#include <saga/impl/job.hpp>`
`#include <saga/saga/detail/steerable_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::job
namespace | saga::detail
## Defines
#define | SAGA_NO_EXPORT_STEERABLE
#define | MAX_PATH _POSIX_PATH_MAX
## Functions
std::string | get_hostname ()

## Define Documentation

#define SAGA_NO_EXPORT_STEERABLE

#define MAX_PATH _POSIX_PATH_MAX

## Function Documentation

std::string @128::get_hostname | ( |  | ) | `[inline, static]`

References saga::buffer(), and MAX_PATH.